import { type Base, genBase } from "./_base"

export interface McuOrderSubItem extends Base {
  mcuOrderItem_id: number
  mcuSubSrc_code: string
  result?: string
  status_code?: string
}

export function genMcuOrderSubItem(): McuOrderSubItem {
  return {
    ...genBase(),
    mcuOrderItem_id: 0,
    mcuSubSrc_code: '',
  }
}
